#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x80d4c042, "__platform_driver_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xad18e13b, "geni_se_resources_off" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xf2d1abac, "geni_icc_disable" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xa6257a2f, "complete" },
	{ 0xbce68759, "__dynamic_dev_dbg" },
	{ 0xf12ee599, "_dev_err" },
	{ 0x5a5189e1, "dma_unmap_page_attrs" },
	{ 0x4dae16e4, "i2c_put_dma_safe_msg_buf" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x1c74f905, "platform_driver_unregister" },
	{ 0x6765933e, "__pm_runtime_disable" },
	{ 0xa2c1dd7c, "__pm_runtime_set_status" },
	{ 0x929b8785, "pm_runtime_enable" },
	{ 0x42041512, "i2c_get_dma_safe_msg_buf" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7ce705da, "dma_map_page_attrs" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x735c143c, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdcb764ad, "memset" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x4c809c71, "geni_icc_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x95810160, "geni_se_resources_on" },
	{ 0x242f2196, "i2c_del_adapter" },
	{ 0xf5d65570, "dma_release_channel" },
	{ 0x9768a6f2, "dev_pm_domain_detach_list" },
	{ 0xf8c91a0a, "rt_spin_lock" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xf149a46d, "rt_spin_unlock" },
	{ 0xdb4f50a, "geni_se_select_mode" },
	{ 0xec37c803, "geni_se_tx_dma_prep" },
	{ 0x77fd75fb, "geni_se_tx_dma_unprep" },
	{ 0x6b5f45dd, "geni_se_rx_dma_prep" },
	{ 0xc03a9bf, "geni_se_rx_dma_unprep" },
	{ 0xec749284, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x54b50ca3, "__pm_runtime_suspend" },
	{ 0xf4494314, "devm_kmalloc" },
	{ 0x87a2c2da, "platform_get_resource" },
	{ 0x250cfb01, "devm_ioremap_resource" },
	{ 0x2b0cb5a8, "geni_se_is_fw_managed" },
	{ 0xf7ec727b, "device_get_match_data" },
	{ 0x7a9064e4, "devm_clk_get" },
	{ 0x1803b8f0, "device_property_read_u32_array" },
	{ 0x46dd8487, "is_acpi_device_node" },
	{ 0x268eb939, "platform_get_irq" },
	{ 0x9e6db61b, "geni_se_domain_attach" },
	{ 0xab983371, "set_primary_fwnode" },
	{ 0x3ba87cd4, "geni_se_get_level" },
	{ 0xb0deae9b, "geni_se_set_perf_level" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x6bae6a4, "rt_mutex_base_init" },
	{ 0xc4525bc4, "devm_request_threaded_irq" },
	{ 0x4bbb4cff, "pm_runtime_set_autosuspend_delay" },
	{ 0xc506ca8a, "__pm_runtime_use_autosuspend" },
	{ 0x86d9072c, "geni_icc_get" },
	{ 0x322be53a, "geni_icc_set_bw" },
	{ 0xe72af99c, "geni_se_init" },
	{ 0x8536296e, "geni_se_config_packing" },
	{ 0x784869c8, "__pm_runtime_idle" },
	{ 0x1d4de008, "i2c_add_adapter" },
	{ 0x5fb77807, "dma_request_chan" },
	{ 0x188c0d9, "dev_err_probe" },
	{ 0x741ef8c0, "_dev_info" },
	{ 0x4ac562ea, "module_layout" },
};

MODULE_INFO(depends, "qcom-geni-se");

MODULE_ALIAS("of:N*T*Cqcom,geni-i2c");
MODULE_ALIAS("of:N*T*Cqcom,geni-i2cC*");
MODULE_ALIAS("of:N*T*Cqcom,geni-i2c-master-hub");
MODULE_ALIAS("of:N*T*Cqcom,geni-i2c-master-hubC*");
MODULE_ALIAS("acpi*:QCOM0220:*");

MODULE_INFO(srcversion, "A82E3F0A33CDE6646F3E378");
MODULE_INFO(rhelversion, "9.6");
